Package: energyr
Version: 0.4
Title: Data Published by the United States Federal Energy Regulatory
        Commission
Description: Data published by the United States Federal Energy Regulatory Commission including
    electric company financial data, natural gas company financial data, 
    hydropower plant data, liquified natural gas plant data, oil company financial data
    natural gas company financial data, and natural gas storage field data.
URL: https://github.com/paulgovan/energyr,
        http://paulgovan.github.io/energyr/
BugReports: https://github.com/paulgovan/energyr/issues
Authors@R: person("Paul", "Govan", email = "paul.govan2@gmail.com", role = c("aut", "cre", "cph"), comment = c(ORCID = "0000-0002-1821-8492"))
Depends: R (>= 3.5.0)
Suggests: here, tidygeocoder, usethis, testthat (>= 3.0.0)
License: CC BY 4.0
LazyData: TRUE
RoxygenNote: 7.2.3
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2026-04-18 23:58:44 UTC; paulgovan
Author: Paul Govan [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0002-1821-8492>)
Maintainer: Paul Govan <paul.govan2@gmail.com>
Repository: CRAN
Date/Publication: 2026-04-19 05:10:19 UTC
Built: R 4.6.0; ; 2026-04-25 18:29:05 UTC; unix

<!-- README.md is generated from README.Rmd. Please edit that file -->

# energyr

<!-- badges: start -->

[![Project Status: Active – The project has reached a stable, usable
state and is being actively
developed.](https://www.repostatus.org/badges/latest/active.svg)](https://www.repostatus.org/#active)
[![CRAN
status](https://www.r-pkg.org/badges/version/energyr)](https://CRAN.R-project.org/package=energyr)
[![R-CMD-check](https://github.com/paulgovan/energyr/actions/workflows/R-CMD-check.yaml/badge.svg)](https://github.com/paulgovan/energyr/actions/workflows/R-CMD-check.yaml)
[![](http://cranlogs.r-pkg.org/badges/grand-total/energyr)](https://cran.r-project.org/package=energyr)
[![](http://cranlogs.r-pkg.org/badges/last-month/energyr)](https://cran.r-project.org/package=energyr)
[![](https://img.shields.io/badge/doi-10.32614/CRAN.package.energyr-green.svg)](https://doi.org/10.32614/CRAN.package.energyr)
<!-- badges: end -->

## Introduction

`energyr` is an R package containing data published by the United States
Federal Energy Regulatory Commission (FERC)
[ferc.gov](https://www.ferc.gov) from 1996 to 2014. The data includes
information on company finances, projects, and facilities for power
plants across the United States. The package provides functions to
access, manipulate, and analyze this data, making it easier for
researchers and analysts to study energy trends.

To explore the data in a web-based app, check out the
[eAnalytics](https://paulgovan.github.io/eAnalytics/) project.

## Installation

To install `energyr`:

    install.packages("energyr")

Or to install the development version:

    devtools::install_github('paulgovan/energyr')

## Data

- `electric`: Electric Company Financial Data
- `gas`: Natural Gas Company Financial Data
- `hydropower`: Hydropower Plant Data
- `lng`: LNG Plant Data
- `oil`: Oil Company Financial Data
- `pipeline`: Natural Gas Pipeline Project Data
- `storage`: Natural Gas Storage Field Data

lng <- read.csv("inst/extdata/lng.csv", 
                       stringsAsFactors = FALSE, strip.white = TRUE)
lng <- with(lng, data.frame(lng, t(sapply(lng$Location, RgoogleMaps::getGeoCode))))
save(lng, file = "data/lng.rda")

storage <- read.csv("inst/extdata/storage.csv", 
                       stringsAsFactors = FALSE, strip.white = TRUE)
storage = cbind.data.frame(storage, address = paste0(storage$County, ', ', storage$State))
storage <- with(storage, data.frame(storage, t(sapply(storage$address, RgoogleMaps::getGeoCode))))
save(storage, file = "data/storage.rda")

hydropower <- read.csv("inst/extdata/hydropower.csv", 
                       stringsAsFactors = FALSE, strip.white = TRUE)
hydropower <- cbind.data.frame(hydropower, address = paste0(hydropower$Waterway, ', ', hydropower$State))
hydropower <- with(hydropower, data.frame(hydropower, t(sapply(hydropower$address, RgoogleMaps::getGeoCode))))
save(hydropower, file = "data/hydropower.rda")

#' Natural Gas Storage Field Information Data
#'
#' Natural Gas Storage Field Information as reported by FERC. Data includes the
#' name of the storage company, field, reservoir, type, location, working and total
#' capacity, and maximum daily delivery. 
#'
#' @source \url{https://www.ferc.gov/industries-data/natural-gas/overview/gas-storage}
#' @format Data frame with columns
#' \describe{
#' \item{Company}{Name of the Storage Company}
#' \item{Field}{Name of the Storage Field}
#' \item{Reservoir}{Name of the Storage Reservoir}
#' \item{Type}{Type of Storage Field}
#' \item{County}{County Where the Field is Located}
#' \item{State}{State Where the Field is Located}
#' \item{Region}{AGA Region Where the Field is Located}
#' \item{Working}{Working Capacity in Mcf}
#' \item{Total}{Total Capacity in Mcf}
#' \item{MDD}{Maximum Daily Delivery in McF}
#' \item{address}{Location of the Field}
#' \item{lat}{Approximate Latitude of the Field}
#' \item{lon}{Approximate Longitude of the Field}
#' }
#' @examples
#' data(storage)
#' dim(storage)
#' head(storage)
"storage"

#' Natural Gas Company Rates Data
#'
#' Natural Gas Company Financial Information as reported by FERC. Includes annual 
#' revenue and annual bill data for various natural gas companies from 1996 to 2014.
#'
#' @source \url{https://www.ferc.gov/industries-data/natural-gas/industry-activities/natural-gas-annual-report}
#' @format Data frame with columns
#' \describe{
#' \item{Company}{Natural Gas Company}
#' \item{Revenue}{Annual Revenue in USD}
#' \item{Bill}{Annual Bill in USD}
#' \item{Year}{Reporting Year}
#' }
#' @examples
#' data(gas)
#' dim(gas)
#' head(gas)
"gas"

#' LNG Plant Information Data
#'
#' LNG Plant Information as reported by FERC. Includes location, company name, capacity, type, and status.
#'
#' @source \url{https://www.ferc.gov/industries-data/natural-gas/overview/lng-facility-information}
#' @format Data frame with columns
#' \describe{
#' \item{Location}{Location of the LNG Plant}
#' \item{Company}{Name of the LNG Company}
#' \item{Capacity}{Capacity of the Plant in Bcfd}
#' \item{Type}{Type of LNG Plant}
#' \item{Status}{Status of Plant}
#' \item{lat}{Approximate Latitude of the Plant}
#' \item{lon}{Approximate Longitude of the Plant}
#' }
#' @examples
#' data(lng)
#' dim(lng)
#' head(lng)
"lng"

#' Hydropower Plant Information Data
#'
#' Hydropower Plant Information as reported by FERC. Includes plant name, FERC
#' number, license issue and expiration dates, status, capacity, company name,
#' waterway, state, and approximate latitude and longitude.
#'
#' @source \url{https://www.ferc.gov/industries-data/hydropower/overview/hydropower-licenses-and-exemptions}
#' @format Data frame with columns
#' \describe{
#' \item{Number}{FERC Hydropower Plant Number}
#' \item{Name}{Name of Hydropower Plant}
#' \item{Expiration}{Expiration Date of the License}
#' \item{Issued}{Issue Date of the License}
#' \item{Status}{Current Status of the Plant}
#' \item{Capacity}{Capacity of the Plant in KW}
#' \item{Company}{Name of the Hydropower Company}
#' \item{Waterway}{Name of the Waterway}
#' \item{State}{State Abbreviation}
#' \item{address}{Geocoding address used to derive lat/lon (Waterway, State)}
#' \item{lat}{Approximate Latitude of the Plant}
#' \item{lon}{Approximate Longitude of the Plant}
#' }
#' @examples
#' data(hydropower)
#' dim(hydropower)
#' head(hydropower)
"hydropower"

#' Oil Company Rates and Revenue Data
#'
#' Oil Company Financial Information as reported by FERC. Includes annual revenue 
#' and annual bill data for oil companies from 1996 to 2014.
#'
#' @source \url{https://www.ferc.gov/industries-data/electric/general-information/electric-industry-forms/form-6-annual-report}
#' @format Data frame with columns
#' \describe{
#' \item{Company}{Oil Company}
#' \item{Revenue}{Annual Revenue in USD}
#' \item{Bill}{Annual Bill in USD}
#' \item{Year}{Reporting Year}
#' }
#' @examples
#' data(oil)
#' dim(oil)
#' head(oil)
"oil"

#' Electric Company Rates Data
#'
#' Electric Company Financial Information as reported by FERC. Includes annual 
#' revenue and annual bill data from 1996 to 2014.
#' 
#' @source \url{https://www.ferc.gov/industries-data/electric/general-information/electric-industry-forms/form-1-annual-report-major}
#' @format Data frame with columns
#' \describe{
#' \item{Company}{Electric Company Name}
#' \item{Revenue}{Annual Revenue in USD}
#' \item{Bill}{Annual Bill in USD}
#' \item{Year}{Reporting Year}
#' }
#' @examples
#' data(electric)
#' dim(electric)
#' head(electric)
"electric"

#' An R package containing Federal Energy Regularity Commission (FERC) data
#'
#' energyr is an R package containing data from http://www.ferc.gov.
#'
#' @section energyr functions:
#' electric
#' gas
#' hydropower
#' lng
#' oil
#' pipeline
#' storage
#'
#' @docType package
#' @name energyr
NULL

#' Pipeline Project Information Data
#'
#' Natural Gas Pipeline Project Information as reported by FERC. Data includes
#' project name, operator, type, status, completion date, states, region, cost,
#' miles, capacity, diameter, authority, and docket number. Data spans from
#' 1996 to 2014.
#'
#' @source \url{https://www.ferc.gov/industries-data/natural-gas/overview/natural-gas-pipeline-certificates}
#' @format Data frame with columns
#' \describe{
#' \item{Name}{Name of the Pipeline Project}
#' \item{Operator}{Name of the Pipeline Operator}
#' \item{Type}{Type of Pipeline Project}
#' \item{Pipeline}{Type of Pipeline}
#' \item{Status}{Status of the Pipeline Project}
#' \item{Completed}{Date of Project Completion}
#' \item{Year}{Year of Project Completion}
#' \item{States}{State(s) of the Pipeline Project}
#' \item{Region}{FERC Region of the Pipeline Project}
#' \item{Cost}{Cost of the Pipeline Project in USD}
#' \item{Miles}{Miles of Pipeline}
#' \item{Capacity}{Capacity of the Pipeline in MMcf/d}
#' \item{Diameter}{Diameter(s) of the Pipeline in Inches}
#' \item{Authority}{Regulatory Authority for the Project}
#' \item{Docket}{FERC Docket Number}
#' }
#' @examples
#' data(pipeline)
#' dim(pipeline)
#' head(pipeline)
"pipeline"

test_that("lng dataset loads correctly", {
  expect_true(exists("lng"), info = "Dataset 'lng' should exist.")
  expect_s3_class(lng, "data.frame")
})

test_that("lng has correct columns", {
  expected_cols <- c(
    "Location", "Company", "Capacity",
    "Type", "Status", "lat", "lon"
  )
  expect_true(all(expected_cols %in% names(lng)))
})

test_that("lng columns have reasonable types", {
  expect_type(lng$Location, "character")
  expect_type(lng$Company, "character")
  expect_type(lng$Capacity, "double")  # numeric Bcfd
  expect_type(lng$Type, "character")
  expect_type(lng$Status, "character")
  expect_type(lng$lat, "double")
  expect_type(lng$lon, "double")
})

test_that("lng has expected dimensions", {
  expect_true(nrow(lng) > 0)
  expect_equal(ncol(lng), 7)
})

test_that("key lng fields contain no unexpected NAs", {
  key_fields <- c("Location", "Company", "Status")
  for (field in key_fields) {
    expect_true(sum(is.na(lng[[field]])) == 0,
                info = paste("Unexpected NAs in", field))
  }
})

              

test_that("storage dataset loads correctly", {
  expect_true(exists("storage"), info = "Dataset 'storage' should exist.")
  expect_s3_class(storage, "data.frame")
})

test_that("storage has correct columns", {
  expected_cols <- c(
    "Company", "Field", "Reservoir", "Type",
    "County", "State", "Region",
    "Working", "Total", "MDD",
    "address", "lat", "lon"
  )
  expect_true(all(expected_cols %in% names(storage)))
})

test_that("storage columns have reasonable types", {
  expect_type(storage$Company, "character")
  expect_type(storage$Field, "character")
  expect_type(storage$Reservoir, "character")
  expect_type(storage$Type, "character")
  expect_type(storage$County, "character")
  expect_type(storage$State, "character")
  expect_type(storage$Region, "character")
  expect_type(storage$Working, "integer")
  expect_type(storage$Total, "integer")
  expect_type(storage$MDD, "integer")
  expect_type(storage$address, "character")
  expect_type(storage$lat, "double")
  expect_type(storage$lon, "double")
})

test_that("storage has expected dimensions", {
  expect_true(nrow(storage) > 0)
  expect_equal(ncol(storage), 13)
})

test_that("key storage fields contain no unexpected NAs", {
  key_fields <- c("Company", "Field", "State")
  for (field in key_fields) {
    expect_true(sum(is.na(storage[[field]])) == 0,
                info = paste("Unexpected NAs in", field))
  }
})

test_that("electric dataset loads correctly", {
  expect_true(exists("electric"), info = "Dataset 'electric' should exist.")
  expect_s3_class(electric, "data.frame")
})

test_that("electric has correct columns", {
  expected_cols <- c("Company", "Revenue", "Bill", "Year")
  expect_true(all(expected_cols %in% names(electric)))
})

test_that("electric columns have correct types", {
  expect_type(electric$Company, "character")
  expect_type(electric$Revenue, "integer")
  expect_type(electric$Bill, "integer")
  expect_type(electric$Year, "integer")
})

test_that("electric has expected dimensions", {
  expect_true(nrow(electric) > 0)
  expect_equal(ncol(electric), 4)
})

test_that("electric data contains no unexpected NAs", {
  expect_true(sum(is.na(electric$Company)) == 0)
  expect_true(sum(is.na(electric$Year)) == 0)
})

test_that("oil dataset loads correctly", {
  expect_true(exists("oil"), info = "Dataset 'oil' should exist.")
  expect_s3_class(oil, "data.frame")
})

test_that("oil has correct columns", {
  expected_cols <- c("Company", "Revenue", "Bill", "Year")
  expect_true(all(expected_cols %in% names(oil)))
})

test_that("oil columns have correct types", {
  expect_type(oil$Company, "character")
  expect_type(oil$Revenue, "integer")
  expect_type(oil$Bill, "integer")
  expect_type(oil$Year, "integer")
})

test_that("oil has expected dimensions", {
  expect_true(nrow(oil) > 0)
  expect_equal(ncol(oil), 4)
})

test_that("oil data contains no unexpected NAs", {
  expect_true(sum(is.na(oil$Company)) == 0)
  expect_true(sum(is.na(oil$Year)) == 0)
})

# tests/testthat/test-pipeline.R

test_that("pipeline dataset loads correctly", {
  expect_true(exists("pipeline"), info = "Dataset 'pipeline' should exist.")
  expect_s3_class(pipeline, "data.frame")
})

test_that("pipeline has correct columns", {
  expected_cols <- c(
    "Name", "Operator", "Type", "Pipeline", "Status",
    "Completed", "Year", "Region", "Cost",
    "Miles", "Capacity", "Diameter", "Authority", "Docket"
  )
  expect_true(all(expected_cols %in% names(pipeline)))
})

test_that("pipeline columns have reasonable types", {
  expect_type(pipeline$Name, "character")
  expect_type(pipeline$Operator, "character")
  expect_type(pipeline$Type, "character")
  expect_type(pipeline$Pipeline, "character")
  expect_type(pipeline$Status, "character")
  expect_type(pipeline$Completed, "character")
  expect_true(is.numeric(pipeline$Year))
  expect_type(pipeline$Region, "character")
  expect_type(pipeline$Cost, "integer")
  expect_type(pipeline$Miles, "integer")
  expect_type(pipeline$Capacity, "integer")
  expect_type(pipeline$Diameter, "character")  # often ranges like "24; 36"
  expect_type(pipeline$Authority, "character")
  expect_type(pipeline$Docket, "character")
})

test_that("pipeline has expected dimensions", {
  expect_true(nrow(pipeline) > 0)
  expect_equal(ncol(pipeline), 15)
})

test_that("key pipeline fields contain no unexpected NAs", {
  key_fields <- c("Name", "Operator", "Status")
  for (field in key_fields) {
    expect_true(sum(is.na(pipeline[[field]])) == 0,
                info = paste("Unexpected NAs in", field))
  }
})

test_that("gas dataset loads correctly", {
  expect_true(exists("gas"), info = "Dataset 'gas' should exist.")
  expect_s3_class(gas, "data.frame")
})

test_that("gas has correct columns", {
  expected_cols <- c("Company", "Revenue", "Bill", "Year")
  expect_true(all(expected_cols %in% names(gas)))
})

test_that("gas columns have correct types", {
  expect_type(gas$Company, "character")
  expect_type(gas$Revenue, "double")
  expect_type(gas$Bill, "integer")
  expect_type(gas$Year, "integer")
})

test_that("gas has expected dimensions", {
  expect_true(nrow(gas) > 0)
  expect_equal(ncol(gas), 4)
})

test_that("gas data contains no unexpected NAs", {
  expect_true(sum(is.na(gas$Company)) == 0)
  expect_true(sum(is.na(gas$Year)) == 0)
})

test_that("hydropower dataset loads correctly", {
  expect_true(exists("hydropower"), info = "Dataset 'hydropower' should exist.")
  expect_s3_class(hydropower, "data.frame")
})

test_that("hydropower has correct columns", {
  expected_cols <- c(
    "Number", "Name", "Expiration", "Issued", "Status",
    "Capacity", "Company", "Waterway", "State", "address", "lat", "lon"
  )
  expect_true(all(expected_cols %in% names(hydropower)))
})

test_that("hydropower columns have reasonable types", {
  expect_type(hydropower$Number, "integer")
  expect_type(hydropower$Name, "character")
  expect_type(hydropower$Expiration, "character")
  expect_type(hydropower$Issued, "character")
  expect_type(hydropower$Status, "character")
  expect_type(hydropower$Capacity, "integer")
  expect_type(hydropower$Company, "character")
  expect_type(hydropower$Waterway, "character")
  expect_type(hydropower$lat, "double")
  expect_type(hydropower$lon, "double")
})

test_that("hydropower has expected dimensions", {
  expect_true(nrow(hydropower) > 0)
  expect_equal(ncol(hydropower), 12)
})

test_that("key hydropower fields contain no unexpected NAs", {
  # These fields should almost always be present
  key_fields <- c("Number", "Name", "Status", "Company")
  for (field in key_fields) {
    expect_true(sum(is.na(hydropower[[field]])) == 0,
                info = paste("Unexpected NAs in", field))
  }
})

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lng.R
\docType{data}
\name{lng}
\alias{lng}
\title{LNG Plant Information}
\format{
Data frame with columns
\describe{
\item{Location}{Location of the LNG Plant}
\item{Company}{Name of the LNG Company}
\item{Capacity}{Capacity of the Plant in Bcfd}
\item{Type}{Type of LNG Plant}
\item{Status}{Status of Plant}
\item{lat}{Approximate Latitude of the Plant}
\item{lon}{Approximate Longitude of the Plant}
}
}
\source{
http://www.ferc.gov/industries/gas/indus-act/lng.asp
}
\usage{
lng
}
\description{
LNG Plant Information as reported by FERC.
}
\examples{
  dim(lng)
  head(lng)
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/energyr.R
\docType{package}
\name{energyr}
\alias{energyr}
\title{An R package containing Federal Energy Regularity Commission (FERC) data}
\description{
energyr is an R package containing data from http://www.ferc.gov.
}
\section{energyr functions}{

electric
gas
hydropower
lng
oil
pipeline
storage
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/storage.R
\docType{data}
\name{storage}
\alias{storage}
\title{Natural Gas Storage Field Information}
\format{
Data frame with columns
\describe{
\item{Company}{Name of the Storage Company}
\item{Field}{Name of the Storage Field}
\item{Reservoir}{Name of the Storage Reservoir}
\item{Type}{Type of Storage Field}
\item{County}{County Where the Field is Located}
\item{State}{State Where the Field is Located}
\item{Region}{AGA Region Where the Field is Located}
\item{Working}{Working Capacity in Mcf}
\item{Total}{Total Capacity in Mcf}
\item{MDD}{Maximum Daily Delivery in McF}
\item{address}{Location of the Field}
\item{lat}{Approximate Latitude of the Field}
\item{lon}{Approximate Longitude of the Field}
}
}
\source{
http://www.ferc.gov/industries/gas/indus-act/storage.asp
}
\usage{
storage
}
\description{
Natural Gas Storage Field Information as reported by FERC.
}
\examples{
  dim(storage)
  head(storage)
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oil.R
\docType{data}
\name{oil}
\alias{oil}
\title{Oil Company Rates}
\format{
Data frame with columns
\describe{
\item{Company}{Oil Company}
\item{Revenue}{Annual Revenue in USD}
\item{Bill}{Annual Bill in USD}
\item{Year}{Reporting Year}
}
}
\source{
http://www.ferc.gov/industries/oil/annual-charges.asp
}
\usage{
oil
}
\description{
Oil Company Financial Information as reported by FERC.
}
\examples{
  dim(oil)
  head(oil)
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pipeline.R
\docType{data}
\name{pipeline}
\alias{pipeline}
\title{Pipeline Project Information}
\format{
Data frame with columns
\describe{
\item{Name}{Name of the Pipeline Project}
\item{Operator}{Name of the Pipeline Operator}
\item{Type}{Type of Pipeline Project}
\item{Pipeline}{Type of Pipeline}
\item{Status}{Status of the Pipeline Project}
\item{Completed}{Date of Project Completion}
\item{Year}{Year of Project Completion}
\item{States}{State(s) of the Pipeline Project}
\item{Region}{FERC Region of the Pipeline Project}
\item{Cost}{Cost of the Pipeline Project in USD}
\item{Miles}{Miles of Pipeline}
\item{Capacity}{Capacity of the Pipeline in MMcf/d}
\item{Diameter}{Diameter(s) of the Pipeline in Inches}
\item{Pipeline}{Intrastate or Interstate Pipeline}
\item{Authority}{Regulatory Authority for the Project}
\item{Docket}{FERC Docket Number}
}
}
\source{
http://www.ferc.gov/industries/gas/indus-act/pipelines.asp
}
\usage{
pipeline
}
\description{
Natural Gas Pipeline Project Information as reported by FERC.
}
\examples{
  dim(pipeline)
  head(pipeline)
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/electric.R
\docType{data}
\name{electric}
\alias{electric}
\title{Electric Company Rates}
\format{
Data frame with columns
\describe{
\item{Company}{Electric Company}
\item{Revenue}{Annual Revenue in USD}
\item{Bill}{Annual Bill in USD}
\item{Year}{Reporting Year}
}
}
\source{
http://www.ferc.gov/industries/electric/annual-charges.asp
}
\usage{
electric
}
\description{
Electric Company Financial Information as reported by FERC.
}
\examples{
  dim(electric)
  head(electric)
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hydropower.R
\docType{data}
\name{hydropower}
\alias{hydropower}
\title{Hydropower Plant Information}
\format{
Data frame with columns
\describe{
\item{Number}{FERC Hydropower Plant Number}
\item{Name}{Name of Hydropower Plant}
\item{Expiration}{Expiration Date of the License}
\item{Issued}{Issue Date of the License}
\item{Status}{Current Status of the Plant}
\item{Capacity}{Capacity of the Plant in KW}
\item{Company}{Name of the Hydropower Company}
\item{Waterway}{Name of the Waterway}
\item{lat}{Approximate Latitude of the Plant}
\item{lon}{Approximate Longitude of the Plant}
}
}
\source{
http://www.ferc.gov/industries/hydropower.asp
}
\usage{
hydropower
}
\description{
Hydropower Plant Information as reported by FERC.
}
\examples{
  dim(hydropower)
  head(hydropower)
}
\keyword{datasets}
